package org.bench4q.web.model;

import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;
@XmlRootElement
public class ResultInfoModel {
	private String name;
	private String value;
	private List<ResultInfoModel> children;
	public ResultInfoModel(){
		
	}
	public ResultInfoModel(String name,String value,List<ResultInfoModel> resultInfoModels){
		this.name=name;
		this.value=value;
		this.children=resultInfoModels;
	}
	public ResultInfoModel(String name,String value){
		this.name=name;
		this.value=value;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	public List<ResultInfoModel> getChildren() {
		return children;
	}
	public void setChildren(List<ResultInfoModel> children) {
		this.children = children;
	}
	
}
